/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package client;

import java.io.IOException;
import java.net.Socket;
import thread.ReadingThread;
import thread.SendingThread;

/**
 *
 * @author student1
 */
public class Client {

    public static void main(String[] args) throws IOException, InterruptedException {
        Client client = new Client();
        client.connect();
    }

    private void connect() throws IOException, InterruptedException {
        Socket socket = new Socket("localhost", 9000);

        ReadingThread readingThread = new ReadingThread(socket);
        SendingThread sendingThread = new SendingThread(socket);        
        readingThread.start();
        sendingThread.start();
        
        readingThread.join();
        sendingThread.join();
        
        System.out.println("END");
    }

}
