/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class SendingThread extends Thread {

    private Socket socket;

    public SendingThread(Socket socket) {
        this.socket = socket;
    }

    @Override
    public void run() {
        PrintWriter outSocket = null;
        try {
            BufferedReader inKeyboard = new BufferedReader(new InputStreamReader(System.in));
            outSocket = new PrintWriter(socket.getOutputStream(), true);
            while (true) {
                String message = inKeyboard.readLine();
                outSocket.println(message);
            }
        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            outSocket.close();
        }
    }

}
