/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import thread.ReadingThread;
import thread.SendingThread;

/**
 *
 * @author student1
 */
public class Server {

    private ServerSocket ss;

    public static void main(String[] args) throws IOException {
        Server server = new Server();
        server.start();
    }

    private void start() throws IOException {
        ss = new ServerSocket(9000);
        Socket client = ss.accept();

        ReadingThread readingThread = new ReadingThread(client);
        SendingThread sendingThread = new SendingThread(client);
        readingThread.start();
        sendingThread.start();
        
        System.out.println("END");
    }

}
